<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
$tipVen=$_POST['tip_ven'];
if(count($tipVen)>0){
	$accTipVen=implode(",",$tipVen);
}
else{
	$accTipVen='';
}
	include('cat_cajeros_CL.php');
	$varible_clase = new clase();
	$varible_clase->cod_ven=$_POST["t0"];
	$varible_clase->nom_ven=strtoupper($_POST["t1"]);
	$varible_clase->ap_pat_ven=strtoupper($_POST["t2"]);
	$varible_clase->ap_mat_ven=strtoupper($_POST["t3"]);
	$varible_clase->direccion=$_POST["t4"];
	$varible_clase->nom_empr=$_POST["t7"];
	$varible_clase->telefono=$_POST["t5"];
	$varible_clase->rfc_ven=$_POST["t6"];
	
	$varible_clase->aceso=$accTipVen;
	$varible_clase->pasw=$_POST["t10"];
	$varible_clase->sta=$_POST["sta"];
	$varible_clase->tip_acc=$_POST["tip_acc"];
	$varible_clase->tip_per=$_POST["tip_per"];
        $varible_clase->usuario=$_POST["t0"];
        
		//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=cat_cajeros_AG.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id = mysqli_insert_id($con); 
		echo '<h2>VENDEDOR AGREGADO:'.$_POST['t0'].'</h2>';
		echo '<meta content="1; url=cat_cajeros_AG.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR AL VENDEDOR</h2>';
		echo $res;
		echo '<meta content="10; url=cat_cajeros_AG.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>